Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdvisletRegistryConstants

All Known Implementing Classes:
  AdvisletRegistry

public interface AdvisletRegistryConstants

This interface defines constants used by the `AdvisletRegistry`.

Field Summary
`static String` | `AD_IMPL_CLASS_TAG` Advislet child tag - implementation class.
`static String` | `AD_METADATA_TAG` Advislet child tag - metadata.
`static String` | `AD_PARAMETERS_TAG` Advislet child tag - parameters.
`static String` | `AD_URI_TAG` Advislet child tag - URI.
`static String` | `CA_SEQUENCE_TAG` Compound advisor sequence tag.
`static String` | `MD_AUTHOR_TAG` Metadata child tag - author.
`static String` | `MD_DESC_TAG` Metadata child tag - description.
`static String` | `MD_NAME_TAG` Metadata child tag - name.
`static String` | `MD_VERSION_TAG` Metadata child tag - version.
`static String` | `PM_CUSTOM_TAG` Parameter child tag - custom.
`static String` | `RT_ADVICE_TRANSFORM_TAG` Advice transform tag.
`static String` | `RT_ADVISLET_TAG` Root Advislet tag.
`static String` | `RT_COMPOUND_ADVISLET_TAG` Compound Advislet tag.
`static String` | `VN_BUILD_NUM_TAG` Version child tag - build number.
`static String` | `VN_DESC_TAG` Version child tag - description.
`static String` | `VN_MAJOR_TAG` Version child tag - major version.
`static String` | `VN_MINOR_TAG` Version child tag - minor version.

Field Detail

### AD_IMPL_CLASS_TAG

    public static final String AD_IMPL_CLASS_TAG

  Advislet child tag - implementation class.

  See Also:
    Constant Field Values

### AD_METADATA_TAG

    public static final String AD_METADATA_TAG

  Advislet child tag - metadata.

  See Also:
    Constant Field Values

### AD_PARAMETERS_TAG

    public static final String AD_PARAMETERS_TAG

  Advislet child tag - parameters.

  See Also:
    Constant Field Values

### AD_URI_TAG

    public static final String AD_URI_TAG

  Advislet child tag - URI.

  See Also:
    Constant Field Values

### CA_SEQUENCE_TAG

    public static final String CA_SEQUENCE_TAG

  Compound advisor sequence tag.

  See Also:
    Constant Field Values

### MD_AUTHOR_TAG

    public static final String MD_AUTHOR_TAG

  Metadata child tag - author.

  See Also:
    Constant Field Values

### MD_DESC_TAG

    public static final String MD_DESC_TAG

  Metadata child tag - description.

  See Also:
    Constant Field Values

### MD_NAME_TAG

    public static final String MD_NAME_TAG

  Metadata child tag - name.

  See Also:
    Constant Field Values

### MD_VERSION_TAG

    public static final String MD_VERSION_TAG

  Metadata child tag - version.

  See Also:
    Constant Field Values

### PM_CUSTOM_TAG

    public static final String PM_CUSTOM_TAG

  Parameter child tag - custom.

  See Also:
    Constant Field Values

### RT_ADVICE_TRANSFORM_TAG

    public static final String RT_ADVICE_TRANSFORM_TAG

  Advice transform tag.

  See Also:
    Constant Field Values

### RT_ADVISLET_TAG

    public static final String RT_ADVISLET_TAG

  Root Advislet tag.

  See Also:
    Constant Field Values

### RT_COMPOUND_ADVISLET_TAG

    public static final String RT_COMPOUND_ADVISLET_TAG

  Compound Advislet tag.

  See Also:
    Constant Field Values

### VN_BUILD_NUM_TAG

    public static final String VN_BUILD_NUM_TAG

  Version child tag - build number.

  See Also:
    Constant Field Values

### VN_DESC_TAG

    public static final String VN_DESC_TAG

  Version child tag - description.

  See Also:
    Constant Field Values

### VN_MAJOR_TAG

    public static final String VN_MAJOR_TAG

  Version child tag - major version.

  See Also:
    Constant Field Values

### VN_MINOR_TAG

    public static final String VN_MINOR_TAG

  Version child tag - minor version.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved